API Reference
List agent calls
GET /v1/agents/{id}/calls — list recent calls for an agent.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Agent id.
Query Parameters
limit?integer
Default
50Range
1 <= value <= 100cursor?string
Use next_cursor from the previous page.
Format
date-timesince?string
Only include calls created at or after this timestamp.
Format
date-timeResponse Body
application/json
application/json
application/json
{
"calls": [
{
"id": "string",
"call_id": "string",
"resource_uri": "string",
"agent_id": "string",
"status": "string",
"kind": "string",
"room_name": "string",
"language": "string",
"created_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0,
"recording_status": "string"
}
],
"entries": [
{
"id": "string",
"call_id": "string",
"resource_uri": "string",
"agent_id": "string",
"status": "string",
"kind": "string",
"room_name": "string",
"language": "string",
"created_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0,
"recording_status": "string"
}
],
"next_cursor": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "not found",
"code": "NOT_FOUND"
}